import os

import es
import cmdlib

gamedir = str(es.ServerVar('eventscripts_gamedir'))

def load():
    cmdlib.registerServerCommand('listfiles', listfiles_cmd, 'List files in server')

def unload():
    cmdlib.unregisterServerCommand('listfiles')

def listfiles_cmd(args):
    if len(args) == 0:
        searchpath = gamedir
    else:
        searchpath = os.path.join(gamedir, str(args))
    files = os.listdir(searchpath)
    es.dbgmsg(0, 'Contents of %s'%(searchpath,))
    for filename in files:
        filepath = os.path.join(searchpath, filename)
        if os.path.isdir(filepath):
            displayname = filename+os.sep
        else:
            displayname = filename
        es.dbgmsg(0, displayname) 